package ibase.client;

import ibase.client.resources.Resources;

public class GridThemes {

	public static String userTheme;
	public static void applyDatagridThemes() 
	{
		//printOnConsole(" Apply Datagrid Themes :" +  E12Constants.userTheme );
		//Window.alert("E12Constants.userTheme:"+E12Constants.userTheme);
		
			Resources.DATAGRID_RES.blueThemeCSS().ensureInjected();
			
			//Resources.DATAGRID_RES.grayThemeCSS().ensureInjected();
		
			//Resources.DATAGRID_RES.orangeThemeCSS().ensureInjected();
		//Resources.DATAGRID_RES.greenThemeCSS().ensureInjected();
	}	
	
	public native static int getBrowserVersion()
	/*-{
			var version = -1; //NON IE Browser version
			var broserName = navigator.appName;
			if( broserName == 'Microsoft Internet Explorer' )
			{
				var browserInfo = navigator.userAgent;
				var substrValue = browserInfo.substring( browserInfo.indexOf("MSIE") );
				var browserVersion = substrValue.substring( 0, substrValue.indexOf(";") );
				version = parseInt( browserVersion.substring( browserVersion.indexOf(" ") ) );
			}
			return version;
	}-*/;
	
}
